2023-11-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.14

2023-11-12  Mazhar Hussain  <realmazharhussain@gmail.com>

	gstreamer-1.0: Make ElementFactory.make()'s name parameter default to null

2023-11-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Generate compatible wrapper of ref-void functions
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1486

2023-10-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Prevent usage of strlen() on non-null-terminated string
	next_pos is not guaranteed to hold a null-terminated string.
	Therefore g_str_has_prefix() can fail in strlen() and crash.

	Based on patch by Daniel Kolesa

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1485

2023-10-18  Corentin Noël  <corentin.noel@collabora.com>

	gtk4-wayland: Add the missing wayland-client bindings
	Bind the native Wayland types and unskip the methods.

	wayland-client: Complete the binding
	Increase the coverage of the binding.

2023-10-18  zhangdiandian  <1635468471@qq.com>

	doc: Fix typo in release notes
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1487

2023-10-18  Lorenz Wildberg  <lorenz@wild-fisch.de>

	glib-2.0: Add new symbols from 2.78

2023-08-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.13

2023-08-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Restore CssProvider.load_from_data() signature to take an array
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1478

2023-08-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.12

	gtk4: Preserve compatibility with <= 4.8.x
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1475

2023-08-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Only transform default initializers of parameters
	Explicitly passed sizeof/typeof arguments are resolved properly

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1474

2023-08-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.11

2023-08-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Regenerate GIR-based bindings

2023-08-12  Lorenz Wildberg  <lorenz@wild-fisch.de>

	girparser: Support glib:ref-func, glib:unref-func, copy-function and free-function

2023-08-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Add MarkupReader.has_attribute() helper and use it accordingly

	vala: Add CodeNode.has_attribute() helper and use it accordingly

2023-08-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 4.12.0

	vala: Infer generic type from typeof() initializer of parameters
	Additionally improve inference from sizeof() initializers

2023-08-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.10

2023-08-03  hrxi  <hrrrxi@gmail.com>

	codegen: Don't emit casts in static field initializers
	Found by -std=c99 -pedantic-errors

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1459

2023-08-03  Val Och  <v19930312@gmail.com>

	linux: Add resolution field to Input.AbsInfo

2023-08-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Reset tokens buffer when parsing a new source file
	Old token buffer entries will result in faulty source references.

	vala: Correctly handle possible null from SourceFile.get_source_line()
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1464

2023-08-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Update return-type of HashTable.add/insert/replace() and GenericSet.add()
	These return bool since 2.40

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1465

2023-08-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Allow "set" method of an container to return void or bool

	vala: Output additional information when accessing unknown member
	Return location of the variable declaration which will usually
	show its type.

	libpq: Fix a few binding errors

2023-07-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.9

2023-06-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Improve handling of sealed classes
	Avoid redundant declarations and make *_get_type() show up in public header

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1451

2023-06-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	testrunner: Add support to check generated header

2023-06-30  Alistair Thomas  <astavale@yahoo.co.uk>

	vapi: Add documentation to GLib.Math that '-X -lm' may be needed when compiling
	See https://gitlab.gnome.org/GNOME/vala/issues/1388

2023-06-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Pick up fix for Gdk.Toplevel.compute_size.size parameter

2023-06-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add missing EXTERN flag for GType function of error domains
	In addition to da4ff03c5ca427cf7cc4574f52f5190dc1b0dfb9

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1448

2023-06-21  Tomoaki Kawada  <kawada@kmckk.co.jp>

	glib-2.0: Add ConvertError.{NO_MEMORY,EMBEDDED_NUL}
	They are available since 2.40 and 2.56 respectively.

2023-06-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Regenerate GIR-based bindings

	vala: Fix spaces for attributes when writing property accessors

2023-06-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Ease implemention of GLib.ActionGroup
	*.get_action_*/has_action vfuncs are not required to be implemented

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1447

2023-06-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Report an error when trying to chain up to inaccessible private ctor
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1445

2023-06-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Fix c:type attribute for real struct parameters
	Non-simple structs are always by reference

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1444

2023-06-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Fix return-type of GLib.SourceOnceFunc
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1446

	manual: Update from wiki.gnome.org

2023-05-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.8

2023-05-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Update c-expected

2023-05-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add more method tests to increase coverage

2023-05-21  Val Och  <v19930312@gmail.com>

	gtk4: Don't skip AlertDialog ctor

2023-05-21  JCWasmx86  <JCWasmx86@t-online.de>

	glib-2.0: Fix binding of g_variant_type_n_items()

2023-05-21  Andre Klapper  <a9016009@gmx.de>

	DOAP: Replace defunct mailing-list with developer-forum (GNOME Discourse)

2023-04-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add more Werror=... flags for clang

	gio-2.0: Add new symbols from 2.76

	glib-2.0: Add new symbols from 2.76

	codegen: Include "glib-object.h" when using GType/GBoxedCopyFunc

2023-04-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	valadoc/tests: Add girwriter test

	valadoc: Backing method of lambda-expression isn't included in valadoc AST

	build: valadoc requires valac 0.18.1

	build: Improve usage of AC_PATH_PROG() for valacs

2023-04-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.7

2023-04-17  Florian Weimer  <fweimer@redhat.com>

	glib-2.0: g_chdir is declared in <glib/gstdio.h>
	Not <glib.h>.  Fixes an implicit function error when building deja-dup.

2023-04-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	gee: Fix type-arguments in cast

	gee: Fix reversed type-arguments

2023-04-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Allow inheritance from sealed class in bindings
	Cherry-picked from 46b5b957df1eca5379774348a13f0a6847cdf7da

	See https://gitlab.gnome.org/GNOME/vala/issues/1036

2023-04-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add missing instance fields to GIR test files

2023-04-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Fix usage of lambda-expression from delegate initializer
	Unset delegate-type if a lambda-expression handler was found to use
	the correct code paths.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1428

2023-04-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Return CCodeInvalidExpression instead of null
	This fixes the following criticals:

	  vala_ccode_cast_expression_construct: assertion 'expr != NULL' failed
	  vala_ccode_function_call_add_argument: assertion 'expr != NULL' failed

	Remove dead code, this is already handled in get_dup_func_expression()

2023-04-13  Lorenz Wildberg  <lorenz@wild-fisch.de>

	vala: Improve check of type_referene in ObjectCreationExpression

2023-04-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't report consequential error when base_method is incompatible already

	valadoc: Add missing generic type arguments

	gee: Add more missing generic type arguments

	gee: Fix return-type of HashMap.MapIterator.get_key()/get_value()
	They didn't match the declarations in Vala.MapIterator interface.

	vala: Improve error message for wrong number of type-arguments

	vala: Improve Symbol.to_string() to include TypeParameters

	Use already available glib_ns instead of root_symbol.scope.lookup ("GLib")

	vala: Check type-argument count of interface prerequisites
	Additionally add test case for type-argument count of class base-types

	gio-2.0: Add missing type-argument in ListStore.find_with_equal_func_full()

	girparser: Apply "instance_idx" metadata for delegates

	glib-2.0: Fix a few binding errors

	gtk+-3.0: Fix a few binding issues

	gtk4: Fix a few binding errors

	libvaladoc: Make better use of properties

	valadoc: Check correct value for null when looking for return comment

2023-04-13  Biswapriyo Nath  <nathbappai@gmail.com>

	g-i: Fix compiling with mingw clang
	This adds the return type with GetFullPathNameA declaration.
	Otherwise the following error is shown with clang 16

	grealpath.h:29:19: error: type specifier missing, defaults to 'int';
	ISO C99 and later do not support implicit int [-Wimplicit-int]

2023-04-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.6

2023-04-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-6.0: Update to 2.40.0

	webkit2gtk-4.1: Update to 2.40.0

	webkit2gtk-4.0: Update to 2.40.0

2023-03-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0,gio-2.0,gobject-2.0: Update 2.74 symbols

2023-03-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve initialization of namespace fields with compound literal
	Regression of 9c35019ef300082243ef7c71c22088c52d3db38e

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1424

2023-03-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.5

2023-03-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Extend "struct-typed properties" tests to increase coverage

	tests: Add "signal with struct parameter" test to increase coverage

	gtk+-3.0: Fix ToolPalette.icon_size get-accessor type

	vala: Allow assignment of namespace fields with inline allocated arrays
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/945

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Fix -Werror=array-bounds failure

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Set proper value-type of unary ref/out expression in initializers
	So the expected pointer-type for these expressions is available in AST.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1421

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add declaration for register call of dynamic DBus interfaces
	The call was added without the required extern declaration

	Found by -Werror=implicit-function-declaration

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1422

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use g_object_class_override_property to implement generic interface properties
	This caused the criticals like:

	    GLib-GObject-CRITICAL **: Read/writable property 'data' on class 'Foo' has type
	    'gchararray' which is not exactly equal to the type 'gpointer' of the property on
	    the interface 'IFoo'

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1419

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add cast to accessor calls for generic property implementations
	Found by -Werror=int-conversion

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Consistently handle GLib.Error as boxed type
	Use G_TYPE_ERROR and GBoxed API for all error domains.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1418

2023-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Correctly handle pre/post-increment expression as index of element access
	Regression of cb1828cfc5273aca752de9b39a77e0cd53305e61

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1417

2023-03-20  Corentin Noël  <corentin.noel@collabora.com>

	gtk4: Add sealed to all the final types
	Allows to know in advance if a type can be subclassed or not

	Required until https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/4575 is merged
	or the right heuristic is implemented on Vala side.

2023-03-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 4.10.1~40b154bf from 0.58

2023-03-02  Niels De Graef  <nielsdegraef@gmail.com>

	gtkmodule: Improve error messages
	Be a bit more specific about some of the errors that valac can
	encounter when parsing a UI file.

	(for my use case specifically, it helped me to figure out I had a
	<property> tag without a name attribute in one of my UI files)

2023-03-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkitgtk-6.0: Update to 2.39.90

	webkitgtk-6.0: Update to 2.39.7

2023-02-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.4

	pango: Fix a few binding errors

2023-02-11  Ole André Vadla Ravnås  <oleavr@gmail.com>

	libgvc: Fix `cheader_filename` of the `Gvc` namespace
	The .pc only adds `${includedir}/graphviz` to the include path.

2023-02-11  Fina Wilke  <code@felinira.net>

	vapi: Update gnome-desktop-3.0 and gnome-desktop-4

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Better handling of [NoReturn] call inside finally clause
	This caused the following criticals:

	  vala_flow_analyzer_jump_target_construct_finally_clause: assertion 'last_block != NULL' failed
	  vala_flow_analyzer_jump_target_get_is_exit_target: assertion 'self != NULL' failed
	  vala_flow_analyzer_jump_target_get_is_error_target: assertion 'self != NULL' failed
	  vala_flow_analyzer_jump_target_get_is_finally_clause: assertion 'self != NULL' failed

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Cast vfunc of property accessors by using cast_method_pointer()
	Found by -Wincompatible-function-pointer-types

	See https://gitlab.gnome.org/GNOME/vala/issues/1408

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Cast return value of generic type accessor functions
	Found by -Wincompatible-function-pointer-types

	See https://gitlab.gnome.org/GNOME/vala/issues/1408

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Perform required cast while assigning and passing function pointers
	Found by -Wincompatible-function-pointer-types

	See https://gitlab.gnome.org/GNOME/vala/issues/1408

2023-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Allow more general usage of PropertyAccessor.get_method()

	vala: Inherit more important attributes for PropertyAccessor method

2023-02-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Correctly handle fixed-length array initialization of fields in classes

	vala: Allow to use store_field() for initializations

	tests: Split up gir parser tests into dedicated files

2023-02-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Perform required casts for generic types of return-values and in/out-parameters
	Found by -Werror=int-conversion

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1407

2023-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve missing exponent check for real literals

	vala: Improve compatibility type checks of array elements in assignments

	tests: Extend string.replace() test to increase coverage

	tests: Add "one-line declaration of local variables" test to increase coverage

2023-01-30  wszqkzqk  <wszqkzqk@qq.com>

	vala,libvaladoc: Properly check for colored terminal output on Windows
	Additionally look for `_isatty()` and adjust for more possible results

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1383

2023-01-30  wszqkzqk  <wszqkzqk@qq.com>

	parser: Properly handle chained equality expressions
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1385

2023-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use a special CCodeBinaryExpression for string comparisons
	This preserves support for recursive replacement of arguments while this
	expression was actually transformed into a function call.

	parser: Move parsing of IS and AS type checks to dedicated function

	tests: Add "string relation" tests to increase coverage

	tests: Add "type check comparison" test to increase coverage

2023-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update workaround for DropTarget.drop() signal conflict
	Deprecate DropTarget.on_drop()

	Additionally don't skip Notebook.insert_page_menu()

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1312

2023-01-30  星外之神  <wszqkzqk@qq.com>

	gitignore: Add built files on Windows

2023-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-*.*: Update to 2.37.91

2022-12-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	cairo: Drop broken PsSurface.get_levels() which is bound as PsLevel.get_levels()

2022-12-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	cairo: Add missing Cairo.Pattern.get_rgba()
	Thanks to Wayne Blaszczyk

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1381

2022-12-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Add webkitgtk-6.0 bindings

	gtk4: Require pangocairo which is a dependency of Gdk-4.0

2022-11-27  wszqkzqk  <wszqkzqk@qq.com>

	Fix output decoding error of non-ASCII character on Win32
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1379

2022-11-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	Actually use printf-like way of Report.*()

2022-10-27  星外之神  <wszqkzqk@qq.com>

	vala: Report error in real literal if exponent has no digits

2022-10-27  Alberts Muktupāvels  <alberts.muktupavels@gmail.com>

	codegen: Append VALA_EXTERN also when using fast-vapi

2022-10-27  David Hewitt  <davidmhewitt@gmail.com>

	pixman-1: Fix instance position of region copy methods

2022-10-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Add glib.h include for TRUE/FALSE literal
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1364

	tests: Add "entry point exists" test to increase coverage

	gtk4: Make Gtk.show_uri_full() an instance method of Gtk.Window
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1347

2022-10-27  wszqkzqk  <wszqkzqk@qq.com>

	glib-2.0: Add `double_hash` and `double_equal`

2022-10-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	manual: Update from wiki.gnome.org

2022-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.3

2022-09-03  星外之神  <wszqkzqk@qq.com>

	vala: Avoid problems with '\' in #line directives on Windows
	Replace '\' with '/' in SourceFile.relative_path like in CodeContext.realpath().

	  F:/msys64/home/x/test/test.vala.c: In function '_vala_main':
	  F:/msys64/home/x/test/test.vala.c:12:9: warning: unknown escape sequence: '\M'
	     12 | #line 3 "C:\MyFiles\test.vala"
	        |         ^~~~~~~~~~~~~~~~~~~~~~

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1353

2022-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Use g_abort for GLib.Process.abort() beginning with 2.50
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1350

2022-08-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Make try-statement parsing more resilient
	Regression of f5934184d050d1a19f394fdab6f2ee66ff30965f

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1304

2022-08-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	atspi-2: Fix a few binding errors

2022-08-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	gidlparser: Set source reference of parameters

2022-07-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't unconditionally expect ObjectType of Class
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1341

2022-07-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Correctly unhide BindingSet.by_class to avoid Version attribute

2022-07-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	doap: Demote idle maintainers to authors
	Requested by Michael Catanzaro <mcatanzaro@gnome.org>

	Release 0.56.2

2022-07-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Add rest-1.0 bindings

	vapi: Add geocode-glib-2.0 binding

2022-06-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Check cname of fields and methods against reserved identfiers
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1329

	codegen: Split reserved identifiers for C and Vala

	codegen: Make sure to initialize static collections

	vala: Avoid critical in SourceFile.get_mapped_length()
	See https://gitlab.gnome.org/GNOME/vala/issues/1330

2022-06-04  Corentin Noël  <corentin.noel@collabora.com>

	vapi: Add initial wayland-client binding
	Allow to properly use gtk4-wayland.

2022-06-02  Gustav Hartvigsson  <gustav.hartvigsson@gmail.com>

	glib2.0: Add abs() to int8/int16/int32/ssize_t
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1328

2022-05-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Detect usage of static type-parameter in runtime context
	Compact classes doesn't carry runtime information of its type-parameters.
	In case this information is required we need report an error.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1326

2022-05-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Correctly set array-length for NoAccessorMethods properties
	If value is a null-terminated array then calculate and set its length.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1316

2022-04-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.1

2022-04-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	manual: Update from wiki.gnome.org

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.21.0+ git main

2022-04-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Split out gtk4-wayland and gtk4-x11 into separate bindings
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1308

2022-04-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	valadoc: Include path to doclet in error message

2022-04-07  m-shinder  <mihail@shinder.ml>

	gtk4: Fix GLib.Value parameter in ContentProvider.get_value()
	Value is `out caller-allocates` and it is also initialized by caller.

2022-04-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve accessibility check inside member initializer
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1300

2022-03-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't allow nullable enum value as real GObject property
	It is basically a boxed integer value.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1074

2022-03-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.21+ git main

2022-03-19  Lorenz Wildberg  <lorenz@wild-fisch.de>

	Add release notes for 0.56

2022-03-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.56.0

2022-03-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Add webkit2gtk-4.1 bindings

2022-03-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	libarchive: Fix a few binding errors

2022-03-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Drop confusing warning when accessing interface members
	Making assumptions for member access using the current class is not correct.

	Introduced by 0aace7bd6d3ec72e77f4eabbb7d5fffd3b2e86a8

2022-03-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	SDL2_ttf: Fix a few binding errors

	tiff: Fix a few binding errors

	glib-2.0: Fix memory management of TestSuite.add*/get_root() with 2.70
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1295

2022-03-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.91

	vapi: Regenerate GIR-based bindings to pick up previously skipped delegate parameters

	girparser: Don't count instance-parameter when checking for backwards closure reference
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/721

2022-02-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-video-1.0: Fix a few binding errors

	gstreamer-base-1.0: Fix a few bindings errors

	gstreamer-audio-1.0: Fix a few binding errors

	gst-editing-services-1.0: Fix BaseEffect.set_time_translation_funcs()

	gtk4: Fix content_deserialize_async()

	libgrss: Fix FeedItem.get_geo_point() parameters

	libarchive: Fix a few binding errors

	libgsf-1: Fix a few binding errors

	girparser: Add support for "copy_/free_function" metadata for compact classes

	girparser: Handle duplicated and unnamed symbols
	Issue warnings and skip such symbols to avoid errors on vala's side.

2022-02-26  Princeton Ferro  <princetonferro@gmail.com>

	g-i: Update gidl binding to include type hierarchy
	The IdlNode* classes should be declared as subclasses of IdlNode, that
	way the compiler can be sure that casting from an IdlNode is safe.

2022-02-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.90

2022-02-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Regenerate GIR-based bindings to pick up type_id of error domains

	girparser: Pick up type_id of error domains

	codegen: Emit GType definition for error domains
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/699

	codegen: Default to "has_type_id = false" for external error-domains

	glib-2.0: Add type_id of GLib.Error

	glib-2.0: Annotate error-domains with "has_type_id = false"

	codegen: Emit G_DEFINE_AUTO_CLEANUP_CLEAR_FUNC() for structs
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1293

	codegen: Emit G_DEFINE_AUTOPTR_CLEANUP_FUNC() for interfaces with base class
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1292

	codegen: Split out GTypeModule.generate_autoptr_cleanup()

2022-02-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: gtk4-unix-print is GIR-based

	glib-2.0: Update 2.70/72 symbols

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.21.0+ git main

	vala: Allow delegate without target to be used as constant type

	vala: Keep error-code symbol reference in callable expression context

	vala: Add common CallableExpression.call property API

	vala: Drop unused MemberAccess.creation_member property API

	tests: Extend "direct access to error code" test to increase coverage

	tests: Add invalid "error creation" tests to increase coverage

	tests: Fix objectcreation-no-creation-method.test

	vala: Member reference for ObjectCreationExpression is never null

2022-02-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add more Werror=... flags

2022-02-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Only add catch clause if an inner error is possible
	See d9f702289b4b39683d0c9361e1ea02fd51ecae22

	build: Update git-version-gen to latest upstream
	From commit b5a3c17daa05f6d76f70369e7cbeefe0db012499 of
	https://git.savannah.gnu.org/cgit/gnulib.git/log/build-aux/git-version-gen

	build: Update gitlog-to-changelog to latest upstream
	From commit b5a3c17daa05f6d76f70369e7cbeefe0db012499 of
	https://git.savannah.gnu.org/cgit/gnulib.git/tree/build-aux/gitlog-to-changelog

2022-02-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Catch and throw possible inner error of lock statements
	See 40c1dbfbfedb6c4a6b88df045eb1c2e7bdd38d93

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/83

2022-02-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.3

2022-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Clear SemanticAnalyzer.current_{symbol,source_file} when not needed anymore

	vala: Free empty stack list for code contexts
	While having the stack list created on demand, make sure to destroy it
	when it is not required anymore. Otherwise it will be leaked without an
	option to avoid that to happen.

	gtkmodule: Recurse inner classes of ObjectTypeSymbols (2)

	gtkmodule: Improve UI parsing and handling of nested objects and properties
	Don't restrict GtkCallback to instance methods

	gtkmodule: Recurse inner classes of ObjectTypeSymbols

	test/gtktemplate: Use correct class name

2022-02-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Remove some public API from symbols and types

	parser: Clean up creation of constant declaration

2022-02-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Allow usage of dynamic on VarType
	  dynamic var foo = bar.get_foo();

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/187

2022-02-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Stop generating wrappers for dynamic property access

	vala: Move dynamic property errors to semantic analyzer pass

2022-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Make sure to drop our "trap" jump target in case of an error
	Otherwise this can result in an infinite loop in FlowAnalyzer.intersect()

	Improve source reference for jump out of finally block

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1287

2022-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gio-2.0,glib-2.0,gobject-2.0: Update 2.72 symbols

	gtk4: Update to 4.6.0+06ec4ec1

	gstreamer: Update from 1.19.90+ git main

2022-02-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Relax dependency of asynchronous/method-main-async.vala on build environment
	See 45fe8523ad392f1aaa0f24d83b63e91774938775

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1286

2022-02-03  Niels De Graef  <nielsdg@redhat.com>

	gtk4: Specify sentinel for GtkAcessible methods

2022-01-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use correct target/destroy of delegate field initializer
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1285

2022-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve check of generic type references in static contexts
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1284

	tests: Generic type inference for static methods only in compact classes

	vala: Add missing TraverseVisitor.visit_data_type()

	vala: Some simplifications while TypeParameter is a TypeSymbol

2022-01-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.55.2

	manual: Update from wiki.gnome.org

2022-01-26  Rico Tzschichholz  <ricotz@ubuntu.com>
